#!/usr/bin/env python

from cpphlib import *

if __name__ == "__main__":
    """Main program"""
    print
    print "PP Hardware test start" 
    print
    print "Connecting to PP driver's CAE and IO interface"
    PPDriver = PPDRIVER();
    PPDriver.registerCAEinterface("localhost", 8000)
    PPDriver.registerIOinterface("localhost", 12000)
    PPDriver.connectinterfaces()
    CAEIF, IOIF, MONIF = PPDriver.getinterfaces()
    HWTest = PPHWTESTS(CAEIF, IOIF)   
    HWTest.setdelaybetweenouttests(3)
    HWTest.runtests() 
    print "Disonnecting from PP driver's CAE and IO interface"
    PPDriver.disconnectinterfaces()
    print 
    print "PP Hardware test end" 
    print
